Ping Hook
curl --request GET \
--url https://api.crosoftware.com/v0/hooks/{hook_id}/ping \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.crosoftware.com/v0/hooks/{hook_id}/ping"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.crosoftware.com/v0/hooks/{hook_id}/ping', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"http_status": 123,
"message": "<string>"
}Webhooks
Ping Hook
Ping webhook url to verify connectivity.
GET
/
hooks
/
{hook_id}
/
ping
Ping Hook
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Webhook identifier.